
import React from 'react';
import { Tabs } from 'antd';
import ChartsCount from './ChartsCount';
import TableData from './TableData';

const { TabPane } = Tabs;

class ContentTabs extends React.Component {

  constructor(props) {
    super(props)
    this.state = {
      platform: "openrec", // default openrec
      tab: "tabledata",// default tabledata
    }
  }

  count = 1

  componentDidMount() {

  }

  changeTab = (tab) => {
    this.updateDate({ tab: tab })
  }

  updateDate(params = {}) {

    const platform = params.platform ? params.platform : this.state.platform;
    const tab = params.tab ? params.tab : this.state.tab;
    this.setState({ platform: platform, tab: tab });

    switch (tab) {
      case "tabledata":
        if (this.refs.tabledata) {
          this.refs.tabledata.changePlatform(platform);
        }
        break;

      case "chartscount":
        if (this.refs.chartscount) {
          this.refs.chartscount.changePlatform(platform);
        }
        break;
      default:
    }

  }

  changePlatform = (platform) => {
    this.updateDate({ platform: platform });
  }

  render() {
    return (
      <Tabs
        onChange={
          this.changeTab
        } >

        <TabPane tab="数据表格" key="tabledata">
          <TableData ref="tabledata" platform={this.state.platform}  ></TableData>
        </TabPane>

        <TabPane tab="tag统计" key="chartscount">
          <ChartsCount ref="chartscount" platform={this.state.platform} ></ChartsCount>
        </TabPane>
      </Tabs>
    )
  }
}


export default ContentTabs;